'\" t
.TH crolo L "21 July 1993"
.SH NAME
crolo \- curses-based card file manager
.SH SYNOPSIS
.B crolo
[
.B -v
] [
.B -f filename
]
.SH DESCRIPTION
.LP
.I CRolo
is a program for maintaining a simple cardfile,
specifically oriented for saving address-book
information.
.LP
The default database file read is
.IR $HOME/.rolo ,
although this can be overridden with the
.B ROLODEX
environment variable or the
.B -f
command-line argument.
If the file does not exist, it is created empty.
The database is stored in a format similar to that of the
.I xrolo
program:  Blocks of text separated by lines containing just
a ctrl-L.
.LP
When invoked
.I CRolo
will present the user with a screen summarizing the database.
The user may scroll through the summary with the cursor keys,
up and down move the selection bar up and down, while left
and right move up or down a screenful.
If the cursor keys don't work correctly, or you are
used to the vi editor, the following controls work as well:
.TS
tab(:), center;
c l.
^F, ^D:move down a screen
^B, ^U:move up a screen
j, +:move down a line
k, -:move up a line
.TE
.LP
Selecting an individual entry (by hitting return)
will display the full information in your default
editor.  You may edit or just view this information.
.LP
Hitting any capital letter will scroll your listing to
those entries which start with that letter.
Commands are entered by pressing the lower-case
letter which corresponds to the first letter of
the command you want to execute.  The commands are:
.IP "Add Card"
Starts your editor with a blank card.  Fill in text
as desired then save the file, it will be added to your
card file database.
.IP "Delete Card"
Will delete the currently selected card from your card
file database, after confirming the deletion.
.IP "Redraw"
This will redraw the whole screen.  Control-L does this
also.
.IP "Quit"
Exit the program.
.IP "Clear Filter"
Empties the contents of the filter string, thus showing
all of the cards in the database.
.IP "Filter"
Enter a filter string and only cards which contain the
given string will be shown on the display.  If the first
letter of the string is a backslash the rest of the
filter text will be interpreted as a regular expression,
otherwise it is matched as case-insensitive text.
.LP
There are companion programs included in this package but
documented seperately.  They are:
.IP "\fImrolo\fR"
Motif-based card file database manager
.IP "\fIprolo\fR"
prints card file databases in postscript
.IP "\fIxr2mr\fR"
converts xrolodex files to crolo format
.SH OPTIONS
.TP
.B \-v
Display the version number and show error messages.
.TP
.B \-f filename
Run using the specified file as the default database.
.SH FILES
.TP 20
.B ~/.rolo
Default database.
.SH ENVIRONMENT
.TP 20
ROLODEX
Default database, overrides ~/.rolo, but not the -f option.
.SH "SEE ALSO"
.PD
.BR xr2mr (1),
.BR mrolo (1),
.BR prolo (1)
.br
.ne 5
.SH BUGS
.LP
None known.  Report bugs to gregor@kafka.saic.com
.SH AUTHOR
.nf
.LP
gregg hanna (gregor@kafka.saic.com)
Science Applications International Corporation
10260 Campus Point Drive, MS C3
San Diego, California  92121
.fi
.LP
Copyright 1993 by gregg hanna.  Permission is granted
to use, modify, and distribute this program.  Basically
do anything you want with it, but if you want to use
it or any part of it to make money you must get further
permission from me.


