.TH prolo L "13 May 1993"
.SH NAME
prolo \- card file database printer
.SH SYNOPSIS
.B prolo
[
.B \-cbeh
] [
.B \-F filtertext
] [
.B \-f rolofile
] [
.B \-s fontsize
]
.SH DESCRIPTION
.LP
.I PRolo
is a program for printing a simple cardfile,
generating PostScript output.
.LP
The default database file read is
.IR $HOME/.rolo ,
although this can be overridden with the
.B ROLODEX
environment variable or the
.B -f
command-line argument.
If the file does not exist, it is created empty.
The database is assumed to be in the format of
the
.I mrolo
or
.I xrolo
programs.
.LP
The output will be a PostScript program.  Most of the options
set from the command line can also be set by editing this
program before printing.  The basic, unchangeable format
for the individual records is:
.nf
First Line  Second Line  Third Line
            Fourth Line
            Fifth Line
              .
              .
              .
.fi
.LP
When used with
.I mrolo
The first line is usually a name, the second the primary
phone number, the third the secondary phone number,
and others are descriptive text (address, other
numbers, etc.).  The PostScript program will organize these
entries in columns and the columns into pages, if needed.
.LP
Note that lines are sized and spaced based on the largest
entries, so you might want to edit your cardfile to have
fairly consistent field lengths.  For example, if you use
the secondary number to store a very long string or
have one name which is particularly long then 
.B all
of the
printed entries will be very wide.
.SH OPTIONS
.TP
.B \-c
Include card info, by default only name, primary and secondary
numbers are printed.
.TP
.B \-b
Draw a box around each entry.
.TP
.B \-e
Make all entries the same size.  Each entry will take up
as much space as the largest entry, using more space
but looking neat and tidy.  This only makes sense with
the -c option.
.TP
.B \-F filertext
Only emit entries which contain
.I filtertext
somewhere in the entry.  This option cannot be changed
in the PostScript program, it must be specified on
the command line.  If the filter text begins with a back-slash,
the filter is interpreted as a regular expression.  Note that
the shell treats back-slash as a special character, so you
must quote it properly.
.TP
.B \-f filename
Run using the specified file as the default database.
This option cannot be changed in the PostScript program,
it must be specified on the command line.
.TP
.B \-s fontsize
The font size used to print the entries.  The default is 5
(small for pocket lists).

.SH POSTSCRIPT OPTIONS
.LP
Most of the command-line options (the exceptions are noted above)
can be changed and played with in the output file.  Each option
has a corresponding variable set at the beginning of the PostScript,
the following table describes the mappings:
.TP
.B -c
cardinfo
.TP
.B -b
boxmode
.TP
.B -e
equalbox
.TP
.B -s
fontsize

.SH FILES
.TP 20
.B ~/.rolo
Default database.
.SH ENVIRONMENT
.TP 20
ROLODEX
Default database, overrides ~/.rolo, but not the -f option.
.SH "SEE ALSO"
.PD
.BR xrolo (1),
.BR mrolo (1)
.br
.ne 5
.SH BUGS
.LP
This program makes assumptions about the size of the
output paper.  It was developed for 8.5x11 paper, your milage
may vary.
.LP
Report bugs to gregor@kafka.saic.com
.SH AUTHOR
.nf
.LP
gregg hanna (gregor@kafka.saic.com)
Science Applications International Corporation
10260 Campus Point Drive, MS C3
San Diego, California  92121
.fi
.LP
Copyright 1993 by gregg hanna.  Permission is granted
to use, modify, and distribute this program.  Basically
do anything you want with it, but if you want to use
it or any part of it to make money you must get further
permission from me.


